### /filter/getOutput.py


import wx
from gui.imageimport import *

from getInput import *
from obj.objImage import objImage
from obj.objFilter import objFilter

def setOutput(obj,frame):
	i = 0
	
	# get the list of terminal objects
	objGetInputList = []
	
	for o in obj.output:
		if isinstance(o,objFilter):
			if o.output == []:
				# add
				objGetInputList.append(o)
			else:
				setOutput(o,frame)
	for o in objGetInputList:
		getInput(o,frame)
	#obj.function(obj)
	
	#if i >= obj.getcount:
	#	obj.function(obj)
	#	obj.PreviewBitmap()
	#else:
	#	obj.datainput = None
	